var timerStart = true;

function updateTimer() {

    var oReq = new XMLHttpRequest();

    var jsonData = {
        status: false,
        data: "",
    };

    oReq.onload = function (returnData) {
        if (this.readyState == 4 && this.status == 200) {
            jsonData.status = true;
            jsonData.data = JSON.parse(oReq.responseText);
            postMessage(jsonData);
        }
    }

    oReq.onerror = function(event){
        jsonData.status = false;
        jsonData.data = "";
        postMessage(jsonData);
    }

    oReq.open("GET", "/api/node_info");
    oReq.send();
}

// Worker receiver
self.onmessage = function(event) {
    updateTimer();
};

if (timerStart) {
    setInterval(function () {
        updateTimer()
    }, 7000);
    timerStart = false;
}