$(document).ready(function () {
    resetPasswordBtClickEvent();
    btBackToLogin();
    setTimeout(function() {
        // $(".footer").children(0).css({
        //     marginLeft:'3%',
        // });

        $("#span_web_version").hide();
    }, 300);
});

/**
 * Reset Password button click event
 */
function resetPasswordBtClickEvent() {

    $("#bt-reset").click(function (e) {


        if (isDebugMode) {
            console.log("account = " + $("#input-account").val());
        }

        if ($("#input-account").val().length > 0) {
            if (isDebugMode) {
                console.log("account not empty");
            }
        } else {
            if (isDebugMode) {
                console.log("account empty");
            }
            showWarningToast("Please enter username !");
            return;
        }


        if ($("#input-email").val().length > 0) {
            if (isDebugMode) {
                console.log("account not empty");
            }
        } else {
            if (isDebugMode) {
                console.log("account empty");
            }
            showWarningToast("Please enter E-Mail !");
            return;
        }

        if(!isEmail($("#input-email").val())){
            showWarningToast("E-Mail format error !");
            return;
        }


        $(".loading").show();
        var data = "mail=" +  $("#input-email").val() + "&account=" + $("#input-account").val();
        $.ajax({
            url: dbServerInfo.ip + "/api/forgot_password",
            data: data,
            type: "POST",
            success: function (data) {
                var obj = jQuery.parseJSON(data);
                if (isDebugMode) {
                    console.log("success " + JSON.stringify(data));
                }
                if (obj.result.toUpperCase() != "OK") {
                    showErrorToast(obj.message);
                } else {
                    showSuccessToast("Send link to mail successful !");
                }
                $(".loading").hide();
            },
            error: function (xhr, ajaxOptions, thrownError) {
                if (isDebugMode) {
                    console.log("error ");
                }
                showErrorToast("Server error  !");
                $(".loading").hide();
            }
        });
    });
}

/**
 * Back to login page
 */
function btBackToLogin(){
    $("#bt-back-login").click(function (e) {
        window.location.href = "./log_in.html";
    });
}