var osdMap = new Object(); // or var map = {};
var rxMap;
var txMap;
var getDeviceInfoWorker;
var clusterMap = new Object();

$(document).ready(function () {

    $("#menu_a_osd").css("color", "orangered");
    $("#menu_span_osd").css("color", "orangered");
    $("#menu_icon_osd").css("color", "orangered");
    checkLoginCookie();
    $().dndPageScroll();
    $(".image-picker").imagepicker();
  //  getUserID();
    getRXList();
    getOSD();
    showUploadImageDialog();
    modalApply();
    modalPositionClickListener();
    rangeInitial();
    modalXShiftListener();
    modalYShiftListener();
    deletePhotoListener();
    osdTypeChangeListener();
    messageColorPickerListener();
    startMappingWorker();
    $(".dropzone").change(function () {
        readFile(this);
    });
    bubbleClickListener();
    get_group_list();
    //initial layout input (keyboard)
    $('input[type="number"].message-input-x').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 80) {
                $(this).val(80);
            } else if (value < -80) {
                $(this).val(-80);
            }
        }
    });

    $('input[type="number"].message-input-y').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 80) {
                $(this).val(80);
            } else if (value < -80) {
                $(this).val(-80);
            }
        }
    });

    $('input[type="number"].input-transparency').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 31) {
                $(this).val(31);
            } else if (value < 1) {
                $(this).val(1);
            }
        }
    });

    $('input[type="number"].photo-input-transparency').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 31) {
                $(this).val(31);
            } else if (value < 1) {
                $(this).val(1);
            }
        }
    });

    $('input[type="number"].photo-input-x').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 80) {
                $(this).val(80);
            } else if (value < -80) {
                $(this).val(-80);
            }
        }
    });

    $('input[type="number"].photo-input-y').on('input', function () {
        var value = $(this).val();
        if (value !== '') {
            if (value > 80) {
                $(this).val(80);
            } else if (value < -80) {
                $(this).val(-80);
            }
        }
    });

});

/**
 * Get Group List
 */
function get_group_list() {

    $.ajax({
        url: dbServerInfo.ip + "/api/group_list",
        type: "GET",
        dataType: 'json',
        success: function (data) {

            if (isDebugMode) {
                console.log("feedback =  " + JSON.stringify(data));
                console.log("feedback =  " + data.message[0].name);
            }

            $('#select_group').find('option').remove();

            var jsonArrayIndex = 0;

            var select_group_list = "";

            //  select_group_list = " <option selected value=\"0\" > -- Without Group -- </option>";

            select_group_list = "<li class=\"group_item\" data-id=\"0\" data-name=\"ALL DEVICES\" data-offset=\"-11\" >" +
                "<span> \xa0\xa0 ALL DEVICES</span> </li>";

            if (data.result != "OK") {
                //    showErrorToast(obj.message);
            } else {

                for (jsonArrayIndex = 0; jsonArrayIndex < data.message.length; jsonArrayIndex++) {
                    // select_group_list = select_group_list + "<option value=" + data.message[jsonArrayIndex].id + ">" + data.message[jsonArrayIndex].name + "</option>";
                    select_group_list = select_group_list + "<li class=\"group_item\"   data-id=\"" + data.message[jsonArrayIndex].id + "\" data-name=\"" + data.message[jsonArrayIndex].name + "\" data-offset=\"-11\" >" +
                        "<span> \xa0\xa0 " + data.message[jsonArrayIndex].name + "</span> </li>";
                }
                $("#ul-group").attr("data-current_id", 0);
                $("#ul-group").append(select_group_list);
                groupDropItemListener();
                //   $("#select_preset_group").append(select_group_list);
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error ", thrownError);
            }
            showErrorToast("Get group info failed !");
        }
    });
}

function cleanRXDragList() {
    $('#rx-area').nextAll('div').remove();
    $('#rx-area').nextAll('br').remove();
}


function groupDropItemListener() {
    $('.dropdown').on('click', '.group_item', function () {

        $("#bt-group-content").text($(this).text());
        cleanRXDragList();
        if ($(this).attr("data-id") > 0) {
            var data = "group_id=" + $(this).attr("data-id")
            var group_id = $(this).attr("data-id");
            $.ajax({
                url: dbServerInfo.ip + "/api/device_by_group",
                data: data,
                type: "GET",
                success: function (data) {
                    console.log("feedback =  " + JSON.stringify(data));
                    var obj = jQuery.parseJSON(data);
                    var tx_list = "";
                    if (obj.result != "OK") {
                        showErrorToast("Get group info failed !");
                    } else {
                        clusterMap = new Object();
                        for (index in obj.message) {
                            console.log("mac = ", obj.message[index].mac);
                            clusterMap[obj.message[index].mac] = new txObject("", "", "", "", "", "");
                        }
                        $("#ul-group").attr("data-current_id", group_id);
                        getASpeedDeviceInfoByGroup();
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    if (isDebugMode) {
                        console.log("error " + thrownError);
                    }
                    //  $(".loading").hide();
                    showErrorToast("Get group info failed !");
                }
            });
        } else {
            $("#ul-group").attr("data-current_id", 0);
            cleanRXDragList();
            getRXList();
            $("#bt-group-content").text("ALL DEVICES");
        }
    });
}


function getASpeedDeviceInfoByGroup(){

    $.ajax({
        url: dbServerInfo.ip + "/api/node_info",
        type: "GET",
        cache: false,
        dataType: 'json',
        success: function (returnData) {
            if (isDebugMode) {
                console.log("get rx - success " + JSON.stringify(returnData));
                console.log("data count = " + returnData.length);
            }
            cleanAllDragList();
            var rx_list = "";
            var rxCounter = 0;
            txMap = new Object();
            rxMap = new Object();

            for (var jsonArrayIndex = 0; jsonArrayIndex < returnData.length; jsonArrayIndex++) {
                //if (checkDevicePermission(returnData[jsonArrayIndex].mac)) {
                if (returnData[jsonArrayIndex].type != "r") {
                    //for rx to mapping source name
                    txMap[returnData[jsonArrayIndex].id] = new txObject(returnData[jsonArrayIndex].id, getDeviceName(returnData[jsonArrayIndex]), returnData[jsonArrayIndex].mac,
                        returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].ip);
                } else {

                   if (returnData[jsonArrayIndex].alive != "n") {
                        //set rx map
                        rxMap[rxCounter] = new rxObject(returnData[jsonArrayIndex].id, getDeviceName(returnData[jsonArrayIndex]),
                            returnData[jsonArrayIndex].ip, returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].pin);
                        rxMap[rxCounter].osd_index = returnData[jsonArrayIndex].osd_index;
                        rxCounter = rxCounter + 1;
                    }
                }
                // }
            }

            //draw RX drag item ------ start
            rxCounter = 0;
            for (rxMapIndex in rxMap) {
             //   console.log("data-current_id",$("#ul-group").attr("data-current_id"));

                if(typeof clusterMap[rxMap[rxMapIndex].mac] === "undefined"){

                }else{
                    var source = "";
                    var drop_status_style = "";
                    //device source
                    if (typeof (txMap[rxMap[rxMapIndex].id]) === "undefined") {
                        source = "N/A";
                    } else {
                        source = txMap[rxMap[rxMapIndex].id].name;
                    }

                    //if (rxMap[rxMapIndex].status == "y") {
                    drop_status_style = "1";
                    rxCounter = rxCounter + 1;
                    if ((rxCounter % 2) == 1) {
                        if (isDebugMode) {
                            console.log("RX add row");
                        }
                        rx_list += "<div class='row' id=\"rx_row_" + Math.floor(rxCounter / 2) + "\" >";
                    }

                    //check if the file exists
                    var imgPath = "";
                    var txMac = "";

                    if (typeof (txMap[rxMap[rxMapIndex].id]) === "undefined") {
                        imgPath = "../snapshot/nosignal.bmp";
                    } else {
                        if (txMap[rxMap[rxMapIndex].id].alive === "y") {
                            imgPath = doesFileExistForInitial("../snapshot/" + txMap[rxMap[rxMapIndex].id].mac + ".jpg");
                            txMac = txMap[rxMap[rxMapIndex].id].mac;
                        } else {
                            imgPath = "../snapshot/nosignal.bmp";
                        }
                    }

                    var osdIndex = "";
                    var isOSDOn = "";
                    if (parseInt(rxMap[rxMapIndex].osd_index) > 0) {
                        osdIndex = parseInt(rxMap[rxMapIndex].osd_index);
                        isOSDOn = "checked";
                    } else {
                        osdIndex = "N/A";
                        isOSDOn = "disabled";
                    }

                    rx_list += "   <div id=\"rx_" + rxMap[rxMapIndex].mac + "\" data-mac=\"" + rxMap[rxMapIndex].mac + "\"data-ip=\"" + rxMap[rxMapIndex].ip + "\"  data-pin=\"" + rxMap[rxMapIndex].pin + "\" class=\"col-xs-6\" ondrop=\"Drop(event)\" ondragover=\"AllowDrop(event)\" ondragleave=\"LeaveDrop(event)\" style=\"opacity:1;\" >" +
                        "<div class=\"col-xs-12 no_pad\"  style=\"text-align: center;width: 100%;height: 150px;position:relative;\">" +
                        "  <div class=\"no_pad\"> <div class=\"no_pad\" style=' width: 100%;height: 100%;position: absolute;top: 0;left: 0; z-index: 10;text-align: left''>" +
                        "                     <div class=\"no_pad\"><span id=\"rx_" + rxMap[rxMapIndex].mac + "_id\" style='font-size: 26px;cursor:default;margin-right:10px;float:right;border-radius:20px;display: block;color: white;margin-top:20px;text-align: " +
                        "                           center;width: 130px;background: rgba(247,151,29,0);border-style: solid;border-color: rgb(113,143,171)'> #&nbsp " + rxMap[rxMapIndex].id + " </span></div>" +
                        "      <div style='width: 100%;margin-top:120px;'><span id=\"rx_" + rxMap[rxMapIndex].mac + "_name\" style='font-size: 16px;cursor:default;color: white;text-align: left;display: block;width: 100%'>&nbsp&nbsp" + rxMap[rxMapIndex].name + "</span></div></div>" +
                        "      <div  style=' width: 100%;height: 150px;position: absolute;top: 0;left: 0;bottom: 0;border-radius: 10px 10px 0 0'>" +
                        "                            <img id=\"" + rxMap[rxMapIndex].mac + "_img\" src=\"" + imgPath + "\" style=\"width:100%;height: 150px;margin:auto;pointer-events: none;display: inline-block;border-radius: 10px 10px 0 0\" alt=\"image\">" +
                        "      </div> </div></div>" +
                        " <div class=\"col-xs-12 no_pad\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));border-radius: 0px 0px 10px 10px\"><div class=\" col-xs-2 no_pad left_bottom_corner\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "                                  <img data-ip=\"" + rxMap[rxMapIndex].ip + "\" data-type='r' class='shiny' src='../img/lightbulb.png' style='display: block;height: 32px;cursor:pointer;padding-top: 5px;padding-left: 10px'>" +
                        "</div>" +
                        " <div class=\"card-footer col-xs-8 no_pad\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "                            <span aria-hidden=\"true\" style=\"color: rgb(100, 108, 128);font-size: 16px;padding-top: 8px;display: inline-block\">" + rxMap[rxMapIndex].ip + "</span>" +
                        "</div>" +
                        "<div class=\"card-footer col-xs-2 right_bottom_corner no_pad\" style=\"background: rgba(0,0,0,0);height: 40px;padding-top: 2px\">" +
                        "                         <input id=\"osd-toggle-" + rxMap[rxMapIndex].mac + "\" data-mac=\"" + rxMap[rxMapIndex].mac + "\" data-osd=\"" + parseInt(rxMap[rxMapIndex].osd_index) +
                        "                              \" class=\"osd-toggle\" type=\"checkbox\" " + isOSDOn + " data-style=\"ios\" data-toggle=\"toggle\" data-onstyle=\"success\"\n" +
                        "                               data-offstyle=\"danger\" data-size=\"small\" data-height=\"20\" style='display: block;margin-right: 5px'>" +
                        "</div></div>" +
                        " </div>";
                    if ((rxCounter % 2) == 0) {
                        rx_list += "</div><br>";
                    }
                    // }
                    //draw RX drag item ------ end
                }
            }

            // Draw drag item end element -------- start
            if (rxCounter > 0) {
                if ((rxCounter % 2) != 0) {
                    if (isDebugMode) {
                        console.log("RX need end");
                    }
                    rx_list += "</div><br>";
                }
                $("#rx-area").after(rx_list);
               // $("#span-rx-count").text(rxCounter);
            } else {
               // $("#span-rx-count").text("0");
            }

            var deviceCount = 0;
            $('.shiny').each(function(i, obj) {
                deviceCount++;
            });

            $("#span-rx-count").text(deviceCount);
            // Draw drag item end element -------- end
            $('.osd-toggle').bootstrapToggle({
                on: '',
                off: '',
            });
            $(".loading").hide();
            rxOSDToggleListener();
            //   showSuccessToast("To get device status successful");
        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error");
                console.log(xhr.status);
                console.log(thrownError);
            }
            showErrorToast("Request timeout !");
            if (XMLHttpRequest.readyState == 4) {
                if (isDebugMode) {
                    console.log("HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)");
                }
                // HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)
            } else if (XMLHttpRequest.readyState == 0) {
                if (isDebugMode) {
                    console.log("Network error (i.e. connection refused, access denied due to CORS, etc.)");
                }
                // Network error (i.e. connection refused, access denied due to CORS, etc.)
            } else {
                if (isDebugMode) {
                    console.log("something weird is happening");
                }
                // something weird is happening
            }
            $(".loading").hide();
        }
    });
}


/**
 * Get user id
 */
function getUserID() {
    var userId = readCookie(COOKIE_USER_INFO);
    var data = "id=" + userId;
}


/**
 * Update device info every 10 seconds
 */
function startMappingWorker() {
    if (typeof (Worker) !== "undefined") {
        if (typeof (getDeviceInfoWorker) == "undefined") {
            getDeviceInfoWorker = new Worker("../js/updateASpeedDeviceInfoWorker.js");
        }

        getDeviceInfoWorker.onmessage = function (event) {
            if (isDebugMode) {
                console.log("worker receive = " + JSON.stringify(event.data.data));
            }

            if (event.data.status) {
                updateRX(event.data.data);
            } else {
                showErrorToast("Request timeout !");
            }
        };
    } else {
        if (isDebugMode) {
            console.log("Sorry, your browser does not support Web Workers...");
        }
    }
}

/**
 * Get RX device list
 */
function getRXList() {

    $(".loading").show();

    $.ajax({
        url: dbServerInfo.ip + "/api/node_info",
        type: "GET",
        cache: false,
        dataType: 'json',
        success: function (returnData) {
            if (isDebugMode) {
                console.log("get rx - success " + JSON.stringify(returnData));
                console.log("data count = " + returnData.length);
            }
            cleanAllDragList();
            var rx_list = "";
            var rxCounter = 0;
            txMap = new Object();
            rxMap = new Object();

            for (var jsonArrayIndex = 0; jsonArrayIndex < returnData.length; jsonArrayIndex++) {
                //if (checkDevicePermission(returnData[jsonArrayIndex].mac)) {
                if (returnData[jsonArrayIndex].type != "r") {
                    //for rx to mapping source name
                    txMap[returnData[jsonArrayIndex].id] = new txObject(returnData[jsonArrayIndex].id, getDeviceName(returnData[jsonArrayIndex]), returnData[jsonArrayIndex].mac,
                        returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].ip);
                } else {

                    if (returnData[jsonArrayIndex].alive != "n") {
                        //set rx map
                        rxMap[rxCounter] = new rxObject(returnData[jsonArrayIndex].id, getDeviceName(returnData[jsonArrayIndex]),
                            returnData[jsonArrayIndex].ip, returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].pin);
                        rxMap[rxCounter].osd_index = returnData[jsonArrayIndex].osd_index;
                        rxCounter = rxCounter + 1;
                    }
                }
                // }
            }

            //draw RX drag item ------ start
            rxCounter = 0;
            for (rxMapIndex in rxMap) {

                var source = "";
                var drop_status_style = "";
                //device source
                if (typeof (txMap[rxMap[rxMapIndex].id]) === "undefined") {
                    source = "N/A";
                } else {
                    source = txMap[rxMap[rxMapIndex].id].name;
                }

              // if (rxMap[rxMapIndex].status == "y") {
                    drop_status_style = "1";
                    rxCounter = rxCounter + 1;
                    if ((rxCounter % 2) == 1) {
                        if (isDebugMode) {
                            console.log("RX add row");
                        }
                        rx_list += "<div class='row' id=\"rx_row_" + Math.floor(rxCounter / 2) + "\" >";
                    }

                    //check if the file exists
                    var imgPath = "";
                    var txMac = "";

                    if (typeof (txMap[rxMap[rxMapIndex].id]) === "undefined") {
                        imgPath = "../snapshot/nosignal.bmp";
                    } else {
                        if (txMap[rxMap[rxMapIndex].id].alive === "y") {
                            imgPath = doesFileExistForInitial("../snapshot/" + txMap[rxMap[rxMapIndex].id].mac + ".jpg");
                            txMac = txMap[rxMap[rxMapIndex].id].mac;
                        } else {
                            imgPath = "../snapshot/nosignal.bmp";
                        }
                    }

                    var osdIndex = "";
                    var isOSDOn = "";
                    if (parseInt(rxMap[rxMapIndex].osd_index) > 0) {
                        osdIndex = parseInt(rxMap[rxMapIndex].osd_index);
                        isOSDOn = "checked";
                    } else {
                        osdIndex = "N/A";
                        isOSDOn = "disabled";
                    }

                    rx_list += "   <div id=\"rx_" + rxMap[rxMapIndex].mac + "\" data-mac=\"" + rxMap[rxMapIndex].mac + "\"data-ip=\"" + rxMap[rxMapIndex].ip + "\"  data-pin=\"" + rxMap[rxMapIndex].pin + "\" class=\"col-xs-6\" ondrop=\"Drop(event)\" ondragover=\"AllowDrop(event)\" ondragleave=\"LeaveDrop(event)\" style=\"opacity:1;\" >" +
                        "<div class=\"col-xs-12 no_pad\"  style=\"text-align: center;width: 100%;height: 150px;position:relative;\">" +
                        "  <div class=\"no_pad\"> <div class=\"no_pad\" style=' width: 100%;height: 100%;position: absolute;top: 0;left: 0; z-index: 10;text-align: left''>" +
                        "                     <div class=\"no_pad\"><span id=\"rx_" + rxMap[rxMapIndex].mac + "_id\" style='font-size: 26px;cursor:default;margin-right:10px;float:right;border-radius:20px;display: block;color: white;margin-top:20px;text-align: " +
                        "                           center;width: 130px;background: rgba(247,151,29,0);border-style: solid;border-color: rgb(113,143,171)'> #&nbsp " + rxMap[rxMapIndex].id + " </span></div>" +
                        "      <div style='width: 100%;margin-top:120px;'><span id=\"rx_" + rxMap[rxMapIndex].mac + "_name\" style='font-size: 16px;cursor:default;color: white;text-align: left;display: block;width: 100%'>&nbsp&nbsp" + rxMap[rxMapIndex].name + "</span></div></div>" +
                        "      <div  style=' width: 100%;height: 150px;position: absolute;top: 0;left: 0;bottom: 0;border-radius: 10px 10px 0 0'>" +
                        "                            <img id=\"" + rxMap[rxMapIndex].mac + "_img\" src=\"" + imgPath + "\" style=\"width:100%;height: 150px;margin:auto;pointer-events: none;display: inline-block;border-radius: 10px 10px 0 0\" alt=\"image\">" +
                        "      </div> </div></div>" +
                        " <div class=\"col-xs-12 no_pad\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));border-radius: 0px 0px 10px 10px\"><div class=\" col-xs-2 no_pad left_bottom_corner\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "                                  <img data-ip=\"" + rxMap[rxMapIndex].ip + "\" data-type='r' class='shiny' src='../img/lightbulb.png' style='display: block;height: 32px;cursor:pointer;padding-top: 5px;padding-left: 10px'>" +
                        "</div>" +
                        " <div class=\"card-footer col-xs-8 no_pad\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "                            <span aria-hidden=\"true\" style=\"color: white;font-size: 16px;padding-top: 8px;display: inline-block\">" + rxMap[rxMapIndex].ip + "</span>" +
                        "</div>" +
                        "<div class=\"card-footer col-xs-2 right_bottom_corner no_pad\" style=\"background: rgba(0,0,0,0);height: 40px;padding-top: 2px\">" +
                        "                         <input id=\"osd-toggle-" + rxMap[rxMapIndex].mac + "\" data-mac=\"" + rxMap[rxMapIndex].mac + "\" data-osd=\"" + parseInt(rxMap[rxMapIndex].osd_index) +
                        "                              \" class=\"osd-toggle\" type=\"checkbox\" " + isOSDOn + " data-style=\"ios\" data-toggle=\"toggle\" data-onstyle=\"success\"\n" +
                        "                               data-offstyle=\"danger\" data-size=\"small\" data-height=\"20\" style='display: block;margin-right: 5px'>" +
                        "</div></div>" +
                        " </div>";
                    if ((rxCounter % 2) == 0) {
                        rx_list += "</div><br>";
                    }
              //  }
                //draw RX drag item ------ end
            }

            // Draw drag item end element -------- start
            if (rxCounter > 0) {
                if ((rxCounter % 2) != 0) {
                    if (isDebugMode) {
                        console.log("RX need end");
                    }
                    rx_list += "</div><br>";
                }
                $("#rx-area").after(rx_list);
               // $("#span-rx-count").text(rxCounter);
            } else {
                //$("#span-rx-count").text("0");
            }
            var deviceCount = 0;
            $('.shiny').each(function(i, obj) {
                deviceCount++;
            });

            $("#span-rx-count").text(deviceCount);
            // Draw drag item end element -------- end
            $('.osd-toggle').bootstrapToggle({
                on: '',
                off: '',
            });
            $(".loading").hide();
            rxOSDToggleListener();
            //   showSuccessToast("To get device status successful");
        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error");
                console.log(xhr.status);
                console.log(thrownError);
            }
            showErrorToast("Request timeout !");
            if (XMLHttpRequest.readyState == 4) {
                if (isDebugMode) {
                    console.log("HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)");
                }
                // HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)
            } else if (XMLHttpRequest.readyState == 0) {
                if (isDebugMode) {
                    console.log("Network error (i.e. connection refused, access denied due to CORS, etc.)");
                }
                // Network error (i.e. connection refused, access denied due to CORS, etc.)
            } else {
                if (isDebugMode) {
                    console.log("something weird is happening");
                }
                // something weird is happening
            }
            $(".loading").hide();
        }
    });
}


/**
 * RX OSD on/off checkBox listener
 * */
function rxOSDToggleListener() {

    $('.osd-toggle').change(function () {
        if (parseInt($(this).attr("data-osd")) > 0) {
            if ($(this).is(':checked')) {
            } else {
                var post_data = "mac=" + $(this).attr("data-mac") + "&index=" + parseInt($(this).attr("data-osd"));
                if (isDebugMode) {
                    console.log("unchecked data = " + post_data);
                }
                $.ajax({
                    url: dbServerInfo.ip + "/api/osd_close",
                    data: post_data,
                    type: "POST",
                    success: function (data) {
                        var obj = jQuery.parseJSON(data);
                        if (obj.result == "OK") {
                            // updateRX();
                            showSuccessToast("Turn off OSD Successful !");
                        } else {
                            showErrorToast("Turn off OSD failed !");
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        if (isDebugMode) {
                            console.log("error ");
                        }
                        if ($(this).is(':checked')) {
                            showErrorToast("Turn off OSD failed !");
                        } else {
                            showErrorToast("Turn off OSD failed !");
                        }
                    }
                });
            }
        }
    });
}

/**
 * RX OSD on/off checkBox listener
 */
function rxOSDToggleByIdListener(elementId) {

    $('#' + elementId).change(function () {
        if (parseInt($(this).attr("data-osd")) > 0) {
            if ($(this).is(':checked')) {
            } else {
                var post_data = "mac=" + $(this).attr("data-mac") + "&index=" + parseInt($(this).attr("data-osd"));
                if (isDebugMode) {
                    console.log("unchecked data = " + post_data);
                }
                $.ajax({
                    url: dbServerInfo.ip + "/api/osd_close",
                    data: post_data,
                    type: "POST",
                    success: function (data) {
                        var obj = jQuery.parseJSON(data);
                        if (obj.result == "OK") {
                            //  updateRX();
                            showSuccessToast("Turn off OSD Successful !");
                        } else {
                            showErrorToast("Turn off OSD failed !");
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        if (isDebugMode) {
                            console.log("error ");
                        }
                        if ($(this).is(':checked')) {
                            showErrorToast("Turn off OSD failed !");
                        } else {
                            showErrorToast("Turn off OSD failed !");
                        }
                    }
                });
            }
        }
    });
}

/**
 * Update PreView (Refresh)
 */
function updateRX(returnData) {

    if (isDebugMode) {
        console.log("updateRX");
    }

    if (isDebugMode) {
        console.log("success" + JSON.stringify(returnData));
        console.log("data count = " + returnData.length);
    }

    var tempTxMap = new Object();
    var tempRxMap = new Object();

    for (var jsonArrayIndex = 0; jsonArrayIndex < returnData.length; jsonArrayIndex++) {

        //update TX info - start
        if (returnData[jsonArrayIndex].type != "r") {
            if (isDebugMode) {
                console.log("tx size = " + Object.size(txMap));
            }
            tempTxMap[returnData[jsonArrayIndex].mac] = new txObject(returnData[jsonArrayIndex].id, returnData[jsonArrayIndex].host_name,
                returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].ip);
            //update TX info - end
        } else {
            // if (checkDevicePermission(returnData[jsonArrayIndex].mac)) {
            //update RX info - start
            if (isDebugMode) {
                console.log("rx size = " + Object.size(rxMap));
            }

            var isMacExist = false;
            for (index in rxMap) {
                if (returnData[jsonArrayIndex].mac === rxMap[index].mac) {
                    isMacExist = true;
                }
            }

            if (!isMacExist) {
                //mac not exist (new device)
                if (returnData[jsonArrayIndex].alive != "n") {
                    tempRxMap[returnData[jsonArrayIndex].mac] = new rxObject(returnData[jsonArrayIndex].id, returnData[jsonArrayIndex].host_name,
                        returnData[jsonArrayIndex].ip, returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].pin);
                    //check mac is not exist
                    var rxCounter = Object.size(rxMap);
                    var newRX = "";
                    //add new TX
                    if ((rxCounter % 2) == 0) {
                        newRX += "<div class='row' id=\"rx_row_" + Math.floor(rxCounter / 2) + "\">";
                    }
                    //check if the file exists
                    var imgPath = "";
                    //  var txMac = "";
                    var isTxExist = false;
                    var isTxAlive = false;
                    var sourceMac = "";
                    var sourceName = "";

                    for (txIndex in txMap) {
                        if (returnData[jsonArrayIndex].id === txMap[txIndex].id) {
                            isTxExist = true;
                            if (txMap[txIndex].alive === "y") {
                                isTxAlive = true;
                            } else {
                                isTxAlive = false;
                            }
                            sourceMac = txMap[txIndex].mac;
                            sourceName = txMap[txIndex].name;
                            break;
                        }
                    }

                    if (isTxExist) {
                        if (isTxAlive) {
                            imgPath = doesFileExist("../snapshot/" + sourceMac + ".jpg");
                        } else {
                            imgPath = "../snapshot/nosignal.bmp";
                        }
                    } else {
                        imgPath = "../snapshot/nosignal.bmp";
                    }

                    var osdIndex = "";
                    var isOSDOn = "";
                    if (parseInt(returnData[jsonArrayIndex].osd_index) > 0) {
                        osdIndex = parseInt(returnData[jsonArrayIndex].osd_index);
                        isOSDOn = "checked";
                    } else {
                        osdIndex = "N/A";
                        isOSDOn = "disabled";
                    }


                    newRX += "   <div id=\"rx_" + returnData[jsonArrayIndex].mac + "\" data-mac=\"" + returnData[jsonArrayIndex].mac + "\"data-ip=\"" + returnData[jsonArrayIndex].ip + "\"  data-pin=\"" + returnData[jsonArrayIndex].pin + "\" class=\"col-xs-6\" ondrop=\"Drop(event)\" ondragover=\"AllowDrop(event)\" ondragleave=\"LeaveDrop(event)\" style=\"opacity:1\" >" +
                        "<div class=\"col-xs-12 no_pad\"  style=\"text-align: center;width: 100%;height: 150px;position:relative\">" +
                        "  <div> <div  style=' width: 100%;height: 100%;position: absolute;top: 0;left: 0; z-index: 10;'>" +
                        "                     <div><span id=\"rx_" + returnData[jsonArrayIndex].mac + "_id\" style='font-size: 26px;cursor:default;margin-right:10px;float:right;border-radius:20px;display: block;color: white;margin-top:20px;text-align: " +
                        "                           center;display: block;width: 130px;background: rgba(247,151,29,0);border-style: solid;border-color: rgb(113,143,171)'> #&nbsp " + returnData[jsonArrayIndex].id + " </span></div>" +
                        "           <div style='width: 100%;margin-top:120px;'> <span id=\"rx_" + returnData[jsonArrayIndex].mac + "_name\" style='font-size: 16px;cursor:default;color: white;text-align: left;display: block;width: 100%'>&nbsp&nbsp" + returnData[jsonArrayIndex].host_name + "</span></div></div>" +
                        "      <div  style=' width: 100%;height: 150px;position: absolute;top: 0;left: 0;bottom: 0;border-radius: 10px 10px 0 0'>" +
                        "                            <img id=\"" + returnData[jsonArrayIndex].mac + "_img\" src=\"" + imgPath + "\" style=\"width:100%;height: 100%;margin:auto;pointer-events: none;display: inline-block;border-radius: 10px 10px 0 0\" alt=\"image\">" +
                        "      </div> </div></div>" +
                        "                   <div class=\"card-footer col-xs-2 no_pad left_bottom_corner\" style=\"text-align:center;background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));height: 40px;padding-top: 2px\">" +
                        "                                  <img data-ip=\"" + returnData[jsonArrayIndex].ip + "\" data-type='r' class='shiny' src='../img/lightbulb.png' style='display: block;height: 32px;cursor:pointer;padding-top: 5px;padding-left: 10px'>" +
                        "                        </div>" +
                        "                        <div class=\"card-footer col-xs-8 no_pad\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));text-align: center;height: 40px;padding-top: 2px\">" +
                        "                            <span aria-hidden=\"true\" style=\"color: white;font-size: 16px;padding-top: 8px;display: inline-block\">" + returnData[jsonArrayIndex].ip + "</span>" +
                        "                        </div>" +
                        "                        <div class=\"card-footer col-xs-2 right_bottom_corner\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));height: 40px;padding-top: 2px\">" +
                        "                         <input id=\"osd-toggle-" + returnData[jsonArrayIndex].mac + "\" data-mac=\"" + returnData[jsonArrayIndex].mac + "\" data-osd=\"" + parseInt(returnData[jsonArrayIndex].osd_index) +
                        "                              \" class=\"osd-toggle\" type=\"checkbox\" " + isOSDOn + " data-style=\"ios\" data-toggle=\"toggle\" data-onstyle=\"success\"\n" +
                        "                               data-offstyle=\"danger\" data-size=\"small\" style='display: block;margin-right: 5px'>" +
                        "                        </div>" +
                        " </div>";

                    if (isDebugMode) {
                        console.log("rxMap size = " + Object.size(rxMap));
                    }

                    if ((rxCounter % 2) == 0) {
                        newRX += "</div><br>";
                        $("#rx-scope").append(newRX);
                    } else {
                        //non need to add new row
                        $("#rx_row_" + Math.floor(rxCounter / 2)).append(newRX);
                    }

                    $("#osd-toggle-" + returnData[jsonArrayIndex].mac).bootstrapToggle({
                        on: '',
                        off: '',
                    });
                    rxOSDToggleByIdListener("osd-toggle-" + returnData[jsonArrayIndex].mac);
                    //rx preview image is according to tx preview
                    rxMap[(rxCounter + 1)] = new rxObject(returnData[jsonArrayIndex].id, returnData[jsonArrayIndex].host_name, returnData[jsonArrayIndex].ip,
                        returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].pin);//used to count UI row

                    rxMap[(rxCounter + 1)].osd_index = returnData[jsonArrayIndex].osd_index;
                }
            } else {
                //mac exist (old device)
                if (returnData[jsonArrayIndex].alive != "n") {

                    tempRxMap[returnData[jsonArrayIndex].mac] = new rxObject(returnData[jsonArrayIndex].id, returnData[jsonArrayIndex].host_name,
                        returnData[jsonArrayIndex].ip, returnData[jsonArrayIndex].mac, returnData[jsonArrayIndex].alive, returnData[jsonArrayIndex].pin);
                    tempRxMap[returnData[jsonArrayIndex].mac].osd_index = returnData[jsonArrayIndex].osd_index;
                    var isTxExist = false;
                    var isTxAlive = false;
                    var sourceMac = "";
                    var sourceName = "";

                    for (txIndex in txMap) {
                        if (returnData[jsonArrayIndex].id === txMap[txIndex].id) {
                            isTxExist = true;
                            if (txMap[txIndex].alive === "y") {
                                isTxAlive = true;
                            } else {
                                isTxAlive = false;
                            }
                            sourceMac = txMap[txIndex].mac;
                            sourceName = txMap[txIndex].name;
                            break;
                        }
                    }


                    if (isTxExist) {
                        if (isTxAlive) {
                            if (isDebugMode) {
                                console.log("tx status = online");
                            }

                            switch (doesFileExist("../snapshot/" + sourceMac + ".jpg")) {

                                case CHECK_IMAGE_EVENT_OK:
                                    $("#" + returnData[jsonArrayIndex].mac + "_img").attr("src", "../snapshot/" + sourceMac + ".jpg");
                                    break;

                                case CHECK_IMAGE_EVENT_SIZE_ISSUE:
                                    if (isDebugMode) {
                                        console.log("CHECK_IMAGE_EVENT_SIZE_ISSUE");
                                    }
                                    break;

                                case CHECK_IMAGE_EVENT_NOT_FOUND:
                                    $("#" + returnData[jsonArrayIndex].mac + "_img").attr("src", "../snapshot/nosignal.bmp");
                                    break;
                            }
                        } else {
                            if (isDebugMode) {
                                console.log("tx status = offline " + returnData[jsonArrayIndex].mac);
                            }
                            $("#" + returnData[jsonArrayIndex].mac + "_img").attr("src", "../snapshot/nosignal.bmp");
                        }
                    } else {
                        $("#" + returnData[jsonArrayIndex].mac + "_img").attr("src", "../snapshot/nosignal.bmp");
                    }

                    //update rx source preview
                    $("#" + returnData[jsonArrayIndex].mac + "_img").removeClass();
                    $("#" + returnData[jsonArrayIndex].mac + "_img").addClass("img-fluid");
                    $("#" + returnData[jsonArrayIndex].mac + "_img").addClass(sourceMac + "_rx_img");
                    //$("#" + returnData[jsonArrayIndex].mac + "_img").attr("src", imgPath);

                    $("#rx_" + returnData[jsonArrayIndex].mac).attr("data-pin", returnData[jsonArrayIndex].pin);
                    $("#rx_" + returnData[jsonArrayIndex].mac).attr("data-id", returnData[jsonArrayIndex].id);
                    $("#rx_" + returnData[jsonArrayIndex].mac).attr("data-status", returnData[jsonArrayIndex].alive);
                    $("#rx_" + returnData[jsonArrayIndex].mac + "_id").text("# " + returnData[jsonArrayIndex].id);
                    $("#rx_" + returnData[jsonArrayIndex].mac + "_name").text("\xa0\xa0" + returnData[jsonArrayIndex].host_name);
                    //update OSD info
                    if (parseInt(returnData[jsonArrayIndex].osd_index) > 0) {
                        if (isDebugMode) {
                            console.log("has osd" + returnData[jsonArrayIndex].mac + " - " + $("#osd-toggle-" + returnData[jsonArrayIndex].mac).is(':checked'));
                        }

                        if ($("#osd-toggle-" + returnData[jsonArrayIndex].mac).is(':checked')) {
                            //  $("#osd-toggle-" + returnData[jsonArrayIndex].mac).prop("checked", true);
                        } else {
                            $("#osd-toggle-" + returnData[jsonArrayIndex].mac).bootstrapToggle('enable');
                            $("#osd-toggle-" + returnData[jsonArrayIndex].mac).bootstrapToggle('on');
                        }
                        $("#osd-toggle-" + returnData[jsonArrayIndex].mac).attr("data-osd", parseInt(returnData[jsonArrayIndex].osd_index));
                        $("#" + returnData[jsonArrayIndex].mac + "_osd").html("<i class=\"fas fa-closed-captioning\"></i> " + parseInt(returnData[jsonArrayIndex].osd_index));
                    } else {
                        if (isDebugMode) {
                            console.log("no osd" + returnData[jsonArrayIndex].mac + " - " + $("#osd-toggle-" + returnData[jsonArrayIndex].mac).is(':checked'));
                        }
                        if ($("#osd-toggle-" + returnData[jsonArrayIndex].mac).is(':checked')) {
                            $("#osd-toggle-" + returnData[jsonArrayIndex].mac).bootstrapToggle('off');
                        }
                        $("#osd-toggle-" + returnData[jsonArrayIndex].mac).attr("data-osd", 0);
                        $("#osd-toggle-" + returnData[jsonArrayIndex].mac).bootstrapToggle('disable')
                        $("#" + returnData[jsonArrayIndex].mac + "_osd").html("<i class=\"fas fa-closed-captioning\"></i> " + "N/A");
                    }
                } else {
                    getRXList();
                    return;
                }
            }
            //  }

            //update RX info - end
        }

        //update TX & RX info
        $("#" + returnData[jsonArrayIndex].mac + "_id").html("<span class=\"glyphicon glyphicon-expand\" aria-hidden=\"true\"> </span> " + returnData[jsonArrayIndex].id);
        //  $("#" + returnData[jsonArrayIndex].mac + "_ip").html("<span class=\"glyphicon glyphicon-globe\" aria-hidden=\"true\"></span> " + returnData[jsonArrayIndex].ip);
        $("#" + returnData[jsonArrayIndex].mac + "_name").text(returnData[jsonArrayIndex].host_name);
    }

    //clean RX delete device - start
    for (rxIndex in rxMap) {
        var isExist = false;
        for (tempIndex in tempRxMap) {
            if (rxMap[rxIndex].mac === tempRxMap[tempIndex].mac) {
                isExist = true;
            }
        }

        if (!isExist) {
            if (isDebugMode) {
                console.log("mac " + rxMap[rxIndex].mac + " is delete !");
            }
            getRXList();//get all again (position change)
            return;
        }
    }
    //clean RX delete device - end

    txMap = tempTxMap;
    rxMap = tempRxMap;
    tempTxMap = null;
    tempRxMap = null;
    var deviceCount = 0;
    $('.shiny').each(function(i, obj) {
        deviceCount++;
    });
    $("#span-rx-count").text(deviceCount);
 //   $("#span-rx-count").text(Object.size(rxMap));
}

/**
 * Get OSD info list
 */
function getOSD() {
    $.ajax({
        url: dbServerInfo.ip + "/api/osd_list",
        type: "GET",
        dataType: 'json',
        cache: false,
        success: function (returnData) {
            if (isDebugMode) {
                console.log("get OSD list - success" + JSON.stringify(returnData));
                console.log("data count = " + returnData.length);
            }

            // for (var index = 0; index < (returnData.length / 2); index++) {
            //     if ($('#osd_row_' + index).length) {
            //         $('#osd_row_' + index).remove();
            //     }
            // }
            $("#osd-area").empty();

            var osd_list = "";

            for (var jsonArrayIndex = 0; jsonArrayIndex < returnData.length; jsonArrayIndex++) {

                osdMap[jsonArrayIndex] = new osdObject();
                osdMap[jsonArrayIndex].name = returnData[jsonArrayIndex].name;
                osdMap[jsonArrayIndex].type = returnData[jsonArrayIndex].type;
                osdMap[jsonArrayIndex].alpha = returnData[jsonArrayIndex].alpha;
                osdMap[jsonArrayIndex].mask = returnData[jsonArrayIndex].mask;
                osdMap[jsonArrayIndex].offtime = returnData[jsonArrayIndex].offtime;
                osdMap[jsonArrayIndex].str = returnData[jsonArrayIndex].str;
                osdMap[jsonArrayIndex].size = returnData[jsonArrayIndex].fsize;
                osdMap[jsonArrayIndex].color = returnData[jsonArrayIndex].fcolor;
                osdMap[jsonArrayIndex].pos = returnData[jsonArrayIndex].pos;
                osdMap[jsonArrayIndex].x = returnData[jsonArrayIndex].x;
                osdMap[jsonArrayIndex].y = returnData[jsonArrayIndex].y;
                osdMap[jsonArrayIndex].pic = returnData[jsonArrayIndex].pic;

                if ((jsonArrayIndex % 2) == 0) {
                    if (isDebugMode) {
                        console.log("osd add row");
                    }
                    osd_list += "<div class=\"row\" id=\"osd_row_" + Math.floor(jsonArrayIndex / 2) + "\" >";
                }
                if (returnData[jsonArrayIndex].type) {
                    if (isDebugMode) {
                        console.log("get message");
                    }
                    //message
                    var color = "";
                    //get OSD message color
                    if (returnData[jsonArrayIndex].fcolor.length > 4) {
                        color = "#" + returnData[jsonArrayIndex].fcolor.substring(4);
                    }


                    osd_list += "<div id=\"osd" + (jsonArrayIndex + 1) + "\" data-index=\"" + (jsonArrayIndex + 1) + "\" class=\"col-xs-6 draggable\" draggable=\"true\" ondragstart=\"Drag(event)\" >" +
                        "<div class=\"col-xs-12 no_pad\"  style=\"text-align: center;width: 100%;height: 150px;position:relative\">" +
                        "  <div style=\"background:linear-gradient(0deg,rgb(7,11,15),rgb(20,32,43));border-radius: 10px 10px 0px 0px\">" +
                        "      <div style='text-align:center;background:rgba(230, 235, 248,0);width: 100%;height: 150px;top: 0;left: 0;bottom: 0;border-radius: 10px 10px 0 0'>" +
                        "              <span style=\"font-size:28px;padding-top:70px;display:block;color:" + color + "\" aria-hidden=\"true\" >"
                        + returnData[jsonArrayIndex].str + "</span>" +
                        "          </div>" +
                        "      </div> " +
                        "</div>" +
                        " <div class=\"col-xs-12 no_pad\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));border-radius: 0px 0px 10px 10px\"><div class=\" col-xs-2 no_pad left_bottom_corner\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "       <span aria-hidden=\"true\" style=\"padding-top: 8px;display:block;color:white\">" + (jsonArrayIndex + 1) + "</span>" +
                        "</div>" +
                        " <div class=\"card-footer col-xs-8 no_pad\" style=\"background: rgba(0,0,0,0);text-align: center;height: 40px;padding-top: 2px\">" +
                        "       <span aria-hidden=\"true\" style=\"display:block;font-size: 16px;padding-top: 8px;color: white\">" + returnData[jsonArrayIndex].name + "</span>" +
                        "</div>" +
                        "<div class=\"card-footer col-xs-2 right_bottom_corner no_pad\" style=\"background: rgba(0,0,0,0);height: 40px;padding-top: 2px\">" +
                        "      <span class=\"glyphicon glyphicon-option-vertical osd-modify\" data-index=\"" + (jsonArrayIndex) + "\"aria-hidden=\"true\"  " +
                        "        style=\"display:block;color: white;cursor: pointer;padding-top: 8px\"></span>" +
                        "</div></div>" +
                        " </div>";

                } else {
                    if (isDebugMode) {
                        console.log("get photo");
                    }


                    osd_list += "<div id=\"osd" + (jsonArrayIndex + 1) + "\" data-index=\"" + (jsonArrayIndex + 1) + "\" class=\"col-xs-6 draggable\" draggable=\"true\" ondragstart=\"Drag(event)\">" +
                        "<div class=\"col-xs-12 no_pad\"  style=\"text-align: center;width: 100%;height: 150px;position:relative\">" +
                        "  <div>" +
                        "      <div  style='background:linear-gradient(0deg,rgb(7,11,15),rgb(20,32,43));width: 100%;height: 150px;position: absolute;top: 0;left: 0;bottom: 0;border-radius: 10px 10px 0 0'>" +
                        "             <img src=\"../snapshot/osd/" + returnData[jsonArrayIndex].pic + "\" style=\"width:100%;height: 150px; display:block;margin:auto;pointer-events: none;;border-radius: 10px 10px 0 0\"></div>" +
                        "      </div> </div>" +
                        "                   <div class=\"card-footer col-xs-2 no_pad left_bottom_corner\" style=\"text-align:center;background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));height: 40px;padding-top: 2px\">" +
                        "                            <span aria-hidden=\"true\" style=\"display:block;color: rgb(100, 108, 128);padding-top: 8px\">" + (jsonArrayIndex + 1) + "</span>" +
                        "                        </div>" +
                        "                        <div class=\"card-footer col-xs-8 no_pad\" style=\"background:linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));text-align: center;height: 40px;padding-top: 2px\">" +
                        "                            <span aria-hidden=\"true\" style=\"color: rgb(100, 108, 128);font-size: 16px;padding-top: 8px;display: inline-block\">" + returnData[jsonArrayIndex].name + "</span>" +
                        "                        </div>" +
                        "                        <div class=\"card-footer col-xs-2 right_bottom_corner\" style=\"background: linear-gradient(90deg,rgb(22, 32, 42),rgb(23, 31, 48));height: 40px;padding-top: 2px\">" +
                        "                            <span  class=\"glyphicon glyphicon-option-vertical osd-modify\" data-index=\"" + (jsonArrayIndex) + "\"aria-hidden=\"true\" " +
                        "                                   style=\"display:block;cursor: pointer;color: rgb(100, 108, 128);padding-top: 8px\"></span>" +
                        "                        </div>" +
                        " </div>";


                    // //photo

                }
                if ((jsonArrayIndex % 2) == 1) {
                    osd_list += "</div><br>";
                }
            }
            $("#span-osd-count").text(returnData.length);
            $("#osd-area").append(osd_list);
            //set position
            for (var jsonArrayIndex = 0; jsonArrayIndex < returnData.length; jsonArrayIndex++) {
                if (returnData[jsonArrayIndex].pos > 0) {
                    $("#" + (jsonArrayIndex + 1) + "-" + returnData[jsonArrayIndex].pos).append("<span class=\"glyphicon glyphicon-ok\" aria-hidden=\"true\" style=\"height: 50px;\"></span>")
                }
            }
            showOSDModalListener();

        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error");
                console.log(xhr.status);
                console.log(thrownError);
            }
            showErrorToast("Request timeout !");
            if (XMLHttpRequest.readyState == 4) {
                if (isDebugMode) {
                    console.log("HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)");
                }
                // HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)
            } else if (XMLHttpRequest.readyState == 0) {
                if (isDebugMode) {
                    console.log("Network error (i.e. connection refused, access denied due to CORS, etc.)");
                }
                // Network error (i.e. connection refused, access denied due to CORS, etc.)
            } else {
                if (isDebugMode) {
                    console.log("something weird is happening");
                }
                // something weird is happening
            }
            $(".loading").hide();
        }
    });

}

/**
 * Silder initial
 */
function rangeInitial() {
    var transparencySlider = document.getElementById("range-transparency");
    // var vsSpan = document.getElementById("slider-v-start-span");
    transparencySlider.oninput = function () {
        //   vsSpan.innerHTML = this.value;
        $("#input-transparency").val(this.value);
    }

    $("#input-transparency").on("change paste keyup", function () {
        $("#range-transparency").val($(this).val());
    });

    var ptransparencySlider = document.getElementById("photo-range-transparency");
    // var vsSpan = document.getElementById("slider-v-start-span");
    ptransparencySlider.oninput = function () {
        //   vsSpan.innerHTML = this.value;
        $("#photo-input-transparency").val(this.value);
    }

    $("#photo-input-transparency").on("change paste keyup", function () {
        $("#photo-range-transparency").val($(this).val());
    });
}

/**
 * OSD modify button click listener
 */
function showOSDModalListener() {
    $(".osd-modify").click(function () {
        //set osd index to the apply button - data attribute
        if (isDebugMode) {
            console.log("" + (parseInt($(this).data("index")) + 1));
        }

        $("#btn-apply").attr("data-index", (parseInt($(this).data("index")) + 1));

        if (isDebugMode) {
            console.log("type = " + osdMap[$(this).data("index")].type);
        }

        //set modal title
        $("#osd-modal-title").text("OSD " + (parseInt($(this).attr("data-index")) + 1));

        //check is message osd or photo osd
        if (osdMap[$(this).data("index")].type) {
            //Message OSD
            if (isDebugMode) {
                console.log("Message modal");
            }
            $("#osd-message-area").show();
            $("#osd-photo-area").hide();
            $("#select-osd-type").val("true");
            //set transparency
            $("#range-transparency").val(osdMap[$(this).data("index")].alpha);
            $("#input-transparency").val(osdMap[$(this).data("index")].alpha);
            //set message
            $("#input-message").val(osdMap[$(this).data("index")].str);
            //set message size
            $("#input-message-size").val(osdMap[$(this).data("index")].size);
            //set osd name
            $("#input-name").val(osdMap[$(this).data("index")].name);
            //set offtime
            $("#modal-display_time").val(osdMap[$(this).data("index")].offtime);
            //set mask
            $("#modal-mask").val(osdMap[$(this).data("index")].mask);
            //set color
            if (osdMap[$(this).data("index")].color.length > 4) {
                if (isDebugMode) {
                    console.log("text color = #" + osdMap[$(this).data("index")].color.substring(4) + "- index = " + $(this).data("index"));
                }
                //    $("#input-text-color").attr("value", "#" + osdMap[$(this).data("index")].color.substring(4));
                $("#input-text-color").val("#" + osdMap[$(this).data("index")].color.substring(4));
                //set position
                var pos = osdMap[$(this).data("index")].color.substring(2, 4);
                $("#select-message-pos").val(pos);
            }
            //set position
            for (index = 1; index <= 9; index++) {
                $("#message-pos-" + index).empty();
                $("#message-pos-" + index).parent().css("background", "white");
            }
            $("#pos-area-message").attr("data-pos", osdMap[$(this).data("index")].pos);
            $("#message-pos-" + osdMap[$(this).data("index")].pos).parent().css("background", "rgb(246, 246, 249)");
            $("#message-pos-" + osdMap[$(this).data("index")].pos).append("<span aria-hidden=\"true\" style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\">" +
                "<i class=\"glyphicon glyphicon-ok\"></i></span>");
            //set X - shift
            $("#message-range-x").val(osdMap[$(this).data("index")].x);
            $("#message-input-x").val(osdMap[$(this).data("index")].x);
            //set Y - shift
            $("#message-range-y").val(osdMap[$(this).data("index")].y);
            $("#message-input-y").val(osdMap[$(this).data("index")].y);
        } else {
            if (isDebugMode) {
                console.log("Photo modal");
            }
            //set transparency
            $("#photo-range-transparency").val(osdMap[$(this).data("index")].alpha);
            $("#photo-input-transparency").val(osdMap[$(this).data("index")].alpha);
            //Photo OSD
            $("#osd-message-area").hide();
            $("#osd-photo-area").show();
            $("#select-osd-type").val("false");
            //set osd name
            $("#input-name").val(osdMap[$(this).data("index")].name);
            //set X - shift
            $("#photo-range-x").val(osdMap[$(this).data("index")].x);
            $("#photo-input-x").val(osdMap[$(this).data("index")].x);
            //set Y - shift
            $("#photo-range-y").val(osdMap[$(this).data("index")].y);
            $("#photo-input-y").val(osdMap[$(this).data("index")].y);
            //set offtime
            $("#photo-modal-display_time").val(osdMap[$(this).data("index")].offtime);
            //set mask
            $("#photo-modal-mask").val(osdMap[$(this).data("index")].mask);
            //set position
            for (index = 1; index <= 9; index++) {
                $("#photo-pos-" + index).empty();
                $("#photo-pos-" + index).parent().css("background", "white");
            }
            $("#pos-area-photo").attr("data-pos", osdMap[$(this).data("index")].pos);
            $("#photo-pos-" + osdMap[$(this).data("index")].pos).parent().css("background", "rgb(246, 246, 249)");
            $("#photo-pos-" + osdMap[$(this).data("index")].pos).append("<span aria-hidden=\"true\" style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\">" +
                "<i class=\"glyphicon glyphicon-ok\"></i></span>");
            //set photo list
            $("#photo-select").empty();
            var folderPath = "../snapshot/osd/";
            var pic = osdMap[$(this).data("index")].pic;
            $.ajax({
                url: folderPath,
                cache: false,
                success: function (data) {
                    if (isDebugMode) {
                        console.log("search image = " + data);
                        console.log("search success");
                    }
                    var isSelectedPhotoExist = false;
                    var photoOptions = "";
                    photoOptions += " <option value=\"\"></option>";
                    $(data).find("a").attr("href", function (i, val) {
                        if (val.match(/\.(jpe?g|png)$/)) {
                            if (pic === val) {
                                isSelectedPhotoExist = true;
                            }
                            photoOptions += "<option data-img-src=\"" + folderPath + val + "\"" +
                                "data-img-alt=\"" + val + "\" value=\"" + val + "\" >" + val + " </option>";

                        }
                    });
                    $("#photo-select").append(photoOptions);
                    $(".image-picker").imagepicker();
                    if (isSelectedPhotoExist) {
                        $(".image-picker").val(pic);
                        // re-sync the plugin
                        $(".image-picker").data('picker').sync_picker_with_select();
                    }
                },
                complete: function () {
                    if (isDebugMode) {
                        console.log("complete ");
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    if (isDebugMode) {
                        console.log("error ");
                    }
                    // $(".loading").hide();
                    showErrorToast("Search photo failed !");
                }
            });
        }
        $('#osd-modal').modal('show');
    });
}

/**
 * Message color picker listener
 */
function messageColorPickerListener() {
    $("#input-text-color").change(function () {
        if (isDebugMode) {
            console.log("change color = " + $(this).val());
        }
        //    $("#input-text-color").attr("value", "#" + $(this).val());
        $("#input-text-color").val($(this).val());
    });
}

/**
 * Position selected on the modal listener
 */
function modalPositionClickListener() {
    $(".message-position").click(function () {
        if (isDebugMode) {
            console.log("click" + $(this).attr("data-pos"));
        }
        for (index = 1; index <= 9; index++) {
            $("#message-pos-" + index).empty();
            $("#message-pos-" + index).parent().css("background", "white");
        }
        $("#" + $(this).attr("data-id")).parent().css("background", "rgb(246, 246, 249)");
        $("#" + $(this).attr("data-id")).append("<span aria-hidden=\"true\" " +
            "style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\"><i class=\"glyphicon glyphicon-ok\"></i></span>");
        $("#pos-area-message").attr("data-pos", $(this).attr("data-pos"));
    });

    $(".photo-position").click(function () {
        if (isDebugMode) {
            console.log("click" + $(this).attr("data-pos"));
        }
        for (index = 1; index <= 9; index++) {
            $("#photo-pos-" + index).empty();
            $("#photo-pos-" + index).parent().css("background", "white");
        }
        $("#" + $(this).attr("data-id")).parent().css("background", "rgb(246, 246, 249)");
        $("#" + $(this).attr("data-id")).append("<span aria-hidden=\"true\" style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\">" +
            "<i class=\"glyphicon glyphicon-ok\"></i></span>");
        $("#pos-area-photo").attr("data-pos", $(this).attr("data-pos"));
    });
}

/**
 * Transparency on the modal listener
 */
function modalTransparencyListener() {

    var hsSlider = document.getElementById("range-transparency");
    hsSlider.oninput = function () {
        $("#input-transparency").val(this.value);
    }

    $("#input-transparency").on("change paste keyup", function () {
        $("#range-transparency").val($(this).val());
    });
}

/**
 * X shift on the modal listener
 */
function modalXShiftListener() {

    var phsSlider = document.getElementById("photo-range-x");
    phsSlider.oninput = function () {
        $("#photo-input-x").val(this.value);
    }

    $("#photo-input-x").on("change paste keyup", function () {
        $("#photo-range-x").val($(this).val());
    });

    var messageSlider = document.getElementById("message-range-x");
    messageSlider.oninput = function () {
        $("#message-input-x").val(this.value);
    }

    $("#message-input-x").on("change paste keyup", function () {
        $("#message-range-x").val($(this).val());
    });
}

/**
 * X shift on the modal listener
 */
function modalYShiftListener() {

    var phsSlider = document.getElementById("photo-range-y");
    phsSlider.oninput = function () {
        $("#photo-input-y").val(this.value);
    }

    $("#photo-input-y").on("change paste keyup", function () {
        $("#photo-range-y").val($(this).val());
    });

    var mSlider = document.getElementById("message-range-y");
    mSlider.oninput = function () {
        $("#message-input-y").val(this.value);
    }

    $("#message-input-y").on("change paste keyup", function () {
        $("#message-range-y").val($(this).val());
    });
}

/**
 * Drag listener (TX)
 * */
function Drag(event) {
    event.dataTransfer.setData("text", event.currentTarget.id);
}

/**
 * Allow drop listener
 * */
function AllowDrop(event) {
    if (isDebugMode) {
        console.log("AllowDrop");
    }
    event.preventDefault();
    var data = event.currentTarget.id;
    if (isDebugMode) {
        console.log("id = " + data);
    }
    document.getElementById(data).classList.add("allowBox");
}

/**
 * Drop listener, will switch rx channel
 * */
function Drop(event) {
    event.preventDefault();
    //  $(".loading").show();
    document.getElementById(event.currentTarget.id).classList.remove("allowBox");
    var osdIndex = $("#" + event.dataTransfer.getData("text")).attr("data-index");
    switchOSD($("#" + event.currentTarget.id).attr("data-mac"), osdIndex, false);
}

/**
 *  RX device switch OSD by OSD index
 *
 * @param rxMac :rx device mac address
 * @param osdIndex : osd group index (1~8)
 */
function switchOSD(rxMac, osdIndex, isSwitchAll) {
    var data = "mac=" + rxMac + "&index=" + osdIndex;
    if (isDebugMode) {
        console.log("/api/osd_apply " + data);
    }
    $.ajax({
        url: dbServerInfo.ip + "/api/osd_apply",
        data: data,
        type: "POST",
        success: function (data) {
            var obj = jQuery.parseJSON(data);
            if (isDebugMode) {
                console.log("success " + JSON.stringify(data));
            }
            // console.log("parser result = " + obj.result);
            if (obj.result != "OK") {
                showErrorToast("Switch OSD failed !");
            } else {
                if (!isSwitchAll) {
                    showSuccessToast("Switch OSD successful");
                }
                //  updateRX();
                // getOSD();
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error ");
            }
            // $(".loading").hide();
            showErrorToast("Switch OSD failed !");
        }
    });
}

/**
 * Leave drop listener (RX)
 * */
function LeaveDrop(event) {
    if (isDebugMode) {
        console.log("LeaveDrop");
    }
    event.preventDefault();
    var data = event.currentTarget.id;
    document.getElementById(data).classList.remove("allowBox");
}

/**
 * Drop listener, will switch rx "all" channel
 * */
function rxAllDrop(event) {
    event.preventDefault();
    if (isDebugMode) {
        console.log("event.currentTarget.id = " + event.currentTarget.id);
    }

    document.getElementById(event.currentTarget.id).classList.remove("allowBox");
    for (rxIndex in rxMap) {
        if (isDebugMode) {
            console.log("rx mac = " + rxMap[rxIndex].mac + " osd index = " + $("#" + event.dataTransfer.getData("text")).attr("data-index"));
        }
        switchOSD(rxMap[rxIndex].mac, $("#" + event.dataTransfer.getData("text")).attr("data-index"), true);
    }
    showSuccessToast("Switch all finish !");
}

/**
 * Clean all drag area (RX & TX)
 * */
function cleanAllDragList() {
    $('#rx-area').nextAll('div').remove();
    $('#rx-area').nextAll('br').remove();
}

/**
 * OSD info modal, type change listener
 */
function osdTypeChangeListener() {
    $("#select-osd-type").on('change', function () {

        var osdIndex = $("#btn-apply").attr("data-index") - 1;
        if (isDebugMode) {
            console.log("osd index = " + osdIndex);
        }

        if (this.value === "true") {
            //message
            $("#input-message").val(osdMap[osdIndex].str);
            $("#modal-display_time").val(osdMap[osdIndex].offtime);
            $("#modal-mask").val(osdMap[osdIndex].mask);
            if (osdMap[osdIndex].color.length > 4) {
                if (isDebugMode) {
                    console.log("text color = #" + osdMap[osdIndex].color.substring(4));
                }
                //  $("#input-text-color").attr("value", "#" + osdMap[osdIndex].color.substring(4));
                $("#input-text-color").val("#" + osdMap[osdIndex].color.substring(4));
                //set position
                var pos = osdMap[osdIndex].color.substring(2, 4);
                $("#select-message-pos").val(pos);
            }
            //set transparency
            $("#range-transparency").val(osdMap[osdIndex].alpha);
            $("#input-transparency").val(osdMap[osdIndex].alpha);
            $("#input-message-size").val(osdMap[osdIndex].size);
            //set X - shift
            $("#message-range-x").val(osdMap[osdIndex].x);
            $("#message-input-x").val(osdMap[osdIndex].x);
            //set Y - shift
            $("#message-range-y").val(osdMap[osdIndex].y);
            $("#message-input-y").val(osdMap[osdIndex].y);
            //set position
            for (index = 1; index <= 9; index++) {
                $("#message-pos-" + index).empty();
                $("#message-pos-" + index).parent().css("background", "white");
            }
            $("#pos-area-message").attr("data-pos", osdMap[osdIndex].pos);
            $("#message-pos-" + osdMap[osdIndex].pos).parent().css("background", "rgb(246, 246, 249)");
            $("#message-pos-" + osdMap[osdIndex].pos).append("<span aria-hidden=\"true\" style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\">" +
                "<i class=\"glyphicon glyphicon-ok\"></i></span>");
            $("#osd-message-area").show();
            $("#osd-photo-area").hide();
        } else {
            //photo
            //set transparency
            $("#photo-range-transparency").val(osdMap[osdIndex].alpha);
            $("#photo-input-transparency").val(osdMap[osdIndex].alpha);
            //set X - shift
            $("#photo-range-x").val(osdMap[osdIndex].x);
            $("#photo-input-x").val(osdMap[osdIndex].x);
            //set Y - shift
            $("#photo-range-y").val(osdMap[osdIndex].y);
            $("#photo-input-y").val(osdMap[osdIndex].y);
            //set offtime
            $("#photo-modal-display_time").val(osdMap[osdIndex].offtime);
            //set mask
            $("#photo-modal-mask").val(osdMap[osdIndex].mask);
            //set position
            for (index = 1; index <= 9; index++) {
                $("#photo-pos-" + index).empty();
                $("#photo-pos-" + index).parent().css("background", "white");
            }
            $("#pos-area-photo").attr("data-pos", osdMap[osdIndex].pos);
            $("#photo-pos-" + osdMap[osdIndex].pos).parent().css("background", "rgb(246, 246, 249)");
            $("#photo-pos-" + osdMap[osdIndex].pos).append("<span aria-hidden=\"true\" style=\"height: 50px;font-size: 36px;margin-left: 12%;color:rgb(26, 188, 114)\">" +
                "<i class=\"glyphicon glyphicon-ok\"></i></span>");

            //set photo list
            $("#photo-select").empty();
            var folderPath = "../snapshot/osd/";
            $.ajax({
                url: folderPath,
                cache: false,
                success: function (data) {
                    if (isDebugMode) {
                        console.log("search image = " + data);
                        console.log("search success");
                    }

                    var photoOptions = "";
                    $(data).find("a").attr("href", function (i, val) {
                        if (val.match(/\.(jpe?g|png)$/)) {
                            photoOptions += "<option data-img-src=\"" + folderPath + val + "\"" +
                                "data-img-alt=\"" + val + "\" value=\"" + val + "\" >" + val + " </option>";
                        }
                    });
                    $("#photo-select").append(photoOptions);
                    $(".image-picker").imagepicker();
                },
                complete: function () {
                    if (isDebugMode) {
                        console.log("complete ");
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    if (isDebugMode) {
                        console.log("error ");
                    }
                    // $(".loading").hide();
                    showErrorToast("Upload photo failed !");
                }
            });
            $("#osd-message-area").hide();
            $("#osd-photo-area").show();
        }
    });
}

/**
 * OSD-Modify modal apply button
 */
function modalApply() {
    $("#btn-apply").click(function () {
        if (isDebugMode) {
            console.log("btn-apply " + $(this).attr("data-index"));
        }

        var data = "";

        if ($("#input-name").val().length === 0) {
            showWarningToast("Please enter OSD name first !");
            return;
        }

        if ($("#select-osd-type").val() === "true") {
            if (isDebugMode) {
                console.log("Apply message");
            }

            if ($("#input-message").val().length === 0) {
                showWarningToast("Please enter text message first !");
                return;
            }

            if ($("#input-message-size").val() === "") {
                showWarningToast("Please enter text size first !");
                return;
            }

            if (!$("#modal-display_time option:selected").length) {
                showWarningToast("Please select display time first !");
                return;
            }

            var color = "";
            color += "0x" + $("#select-message-pos").val();
            if ($("#input-text-color").val().length > 1) {
                color += $("#input-text-color").val().substring(1).toUpperCase();
            }

            data = "index=" + $(this).attr("data-index") + "&name=" + $("#input-name").val() + "&type=true"
                + "&alpha=" + $("#range-transparency").val() + "&mask=" + $("#modal-mask").val()
                + "&offtime=" + $("#modal-display_time").val() + "&str=" + $("#input-message").val() + "&fsize=" + $("#input-message-size").val()
                + "&fcolor=" + color + "&pos=" + $("#pos-area-message").attr("data-pos") + "&x=" + $("#message-range-x").val()
                + "&y=" + $("#message-range-y").val() + "&pic=";
        } else {
            if (isDebugMode) {
                console.log("Apply photo");
            }

            if (!$("#photo-modal-display_time option:selected").length) {
                if (isDebugMode) {
                    console.log("delay time not selected");
                }
                showWarningToast("Please select display time first !");
                return;
            }

            if (parseInt($("#pos-area-photo").attr("data-pos")) > 0) {
            } else {
                showWarningToast("Please select position first !");
                return;
            }

            var picName = "";

            $(".image_picker_selector").find(".selected img").each(function (index, item) {
                if (isDebugMode) {
                    console.log($(item).attr("alt"));
                }
                picName = $(item).attr("alt");
            });

            if (picName.length > 0) {
            } else {
                showWarningToast("Please select photo first !");
                return;
            }

            data = "index=" + $(this).attr("data-index") + "&name=" + $("#input-name").val() + "&type=" + $("#select-osd-type").val()
                + "&alpha=" + $("#photo-range-transparency").val() + "&mask=" + $("#photo-modal-mask").val()
                + "&offtime=" + $("#photo-modal-display_time").val() + "&str=&fsize=1"
                + "&fcolor=0xFF00FF00&pos=" + $("#pos-area-photo").attr("data-pos") + "&x=" + $("#photo-range-x").val() + "&y="
                + $("#photo-range-y").val() + "&pic=" + picName;
        }

        if (isDebugMode) {
            console.log("data = " + data);
        }

        var osd_index = $(this).attr("data-index");

        $.ajax({
            url: dbServerInfo.ip + "/api/set_osd_s",
            data: data,
            type: "POST",
            success: function (data) {
                var obj = jQuery.parseJSON(data);
                if (isDebugMode) {
                    console.log("success " + JSON.stringify(data));
                }
                // console.log("parser result = " + obj.result);
                if (obj.result != "OK") {
                    showErrorToast("Set OSD failed !");
                } else {

                    $("#osd-modal").modal("hide");
                    getOSD();
                    for (rxIndex in rxMap) {
                        if (isDebugMode) {
                            console.log("rx " + rxIndex + " - " + rxMap[rxIndex].osd_index);
                        }
                        if (rxMap[rxIndex].osd_index === osd_index) {
                            console.log("rx osd the same need to update - " + rxMap[rxIndex].mac + "-" + osd_index);
                            switchOSD(rxMap[rxIndex].mac, osd_index, true);
                        }
                    }
                    showSuccessToast("Set OSD successful");
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                if (isDebugMode) {
                    console.log("error ");
                }
                // $(".loading").hide();
                showErrorToast("Set OSD failed !");
            }
        });
    });
}

/**
 * Delete photo button listener
 */
function deletePhotoListener() {
    $(".remove-image").click(function () {
        if (isDebugMode) {
            console.log("delete - " + $(this).attr("data-name"));
            console.log($(this).attr("data-empty"));
        }

        if (!($(this).attr("data-empty"))) {
            showErrorToast("Delete photo failed, this is empty!");
        } else {
            deleteOSDPhoto($(this).attr("data-name"));
        }
    });
}

/**
 * Delete OSD photo
 * @param fileName
 */
function deleteOSDPhoto(fileName) {
    if (isDebugMode) {
        console.log("name = " + fileName);
    }

    $.ajax({
        url: dbServerInfo.ip + "/api/del_image/" + fileName,
        type: "GET",
        cache: false,
        dataType: 'json',
        success: function (returnData) {
            if (isDebugMode) {
                console.log("success" + JSON.stringify(returnData));
            }
            //  var obj = jQuery.parseJSON(returnData);
            if (returnData.result != "OK") {
                showErrorToast("Delete photo failed !");
            } else {
                setTimeout(refreshUploadPhotoModal, 300);
                for (osdIndex in osdMap) {
                    console.log("rx img = " + osdMap[osdIndex].pic + " del file name = " + fileName);
                    if (osdMap[osdIndex].pic === fileName) {
                        if (isDebugMode) {
                            console.log("same file name");
                        }
                        var data = "index=" + (parseInt(osdIndex) + 1) + "&name=" + osdMap[osdIndex].name + "&type=" + osdMap[osdIndex].type
                            + "&alpha=" + osdMap[osdIndex].alpha + "&mask=" + osdMap[osdIndex].mask
                            + "&offtime=" + osdMap[osdIndex].offtime + "&str=" + osdMap[osdIndex].str + "&fsize=" + osdMap[osdIndex].size
                            + "&fcolor=" + osdMap[osdIndex].color + "&pos=" + osdMap[osdIndex].pos + "&x=" + osdMap[osdIndex].x + "&y="
                            + osdMap[osdIndex].y + "&pic=";
                        if (isDebugMode) {
                            console.log("data = " + data);
                        }
                        $.ajax({
                            url: dbServerInfo.ip + "/api/set_osd_s",
                            data: data,
                            type: "POST",
                            success: function (data) {
                                var obj = jQuery.parseJSON(data);
                                if (isDebugMode) {
                                    console.log("success " + JSON.stringify(data));
                                }
                                if (obj.result != "OK") {
                                } else {
                                    getOSD();
                                }
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                if (isDebugMode) {
                                    console.log("error ");
                                }
                            }
                        });
                    }
                }
                showSuccessToast("Delete photo successful");
            }
        },
        complete: function () {

        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error");
                console.log(xhr.status);
                console.log(thrownError);
            }
            showErrorToast("Request timeout !");
            if (XMLHttpRequest.readyState == 4) {
                if (isDebugMode) {
                    console.log("HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)");
                }
                // HTTP error (can be checked by XMLHttpRequest.status and XMLHttpRequest.statusText)
            } else if (XMLHttpRequest.readyState == 0) {
                if (isDebugMode) {
                    console.log("Network error (i.e. connection refused, access denied due to CORS, etc.)");
                }
                // Network error (i.e. connection refused, access denied due to CORS, etc.)
            } else {
                if (isDebugMode) {
                    console.log("something weird is happening");
                }
                // something weird is happening
            }
        }
    });
}

/**
 * Show upload image dialog
 */
function showUploadImageDialog() {
    $("#bt-upload").click(function () {
        refreshUploadPhotoModal();
        $('#image-modal').modal('show');
    });
}

/**
 * Code By Webdevtrick ( https://webdevtrick.com )
 * Read upload file
 * @param input : upload file
 */
function readFile(input) {
    if (isDebugMode) {
        console.log("readFile");
        console.log("input.files[0] = " + input.files[0] + " type = " + input.files[0].type.split('/')[1]);
    }

    if (input.files && input.files[0]) {
        if ((input.files[0].type.split('/')[1] === "png") || (input.files[0].type.split('/')[1] === "jpeg")) {
            var reader = new FileReader();
            reader.onload = function (e) {
                if (isDebugMode) {
                    console.log("file type = " + e.target.result);
                    console.log("file name = " + input.files[0].name.split('.').slice(0, -1).join('.'));
                }
                var image = new Image();
                image.src = e.target.result;
                image.onload = function () {
                    if (isDebugMode) {
                        console.log("image width = " + this.width + " height = " + this.height);
                    }
                    if (this.width > 1920) {
                        showWarningToast("Photo width can't over 1920 pixels !");
                    } else {
                        if (this.height > 1080) {
                            showWarningToast("Photo height can't over 1080 pixels !");
                        } else {
                            var checkType = checkPhotoType(input.files[0].name);
                            var base64result = e.target.result.split(',')[1];
                            if (isDebugMode) {
                                console.log("base64 = " + base64result);
                            }
                            switch (checkType) {
                                case 1://jpg
                                    uploadPhoto(true, input.files[0].name.split('.').slice(0, -1).join('.'), base64result);
                                    break;
                                case 2://png
                                    uploadPhoto(false, input.files[0].name.split('.').slice(0, -1).join('.'), base64result);
                                    break;
                            }
                            $('input[type="file"]').val(null);
                        }
                    }
                };
            };
            reader.readAsDataURL(input.files[0]);
        } else {
            $('input[type="file"]').val(null);
            showWarningToast("Only accept \"jpg\" and \"png\" file !");
        }
    } else {
        $('input[type="file"]').val(null);
        showErrorToast("Upload photo failed !");
    }
}

/**
 * Upload photo to server (pi4)
 * @param type : true is jpg, false is png
 * @param filename : photo file name
 * @param base64String : photo base64 string
 */
function uploadPhoto(type, filename, base64String) {

    var folderPath = "../snapshot/osd/";
    var imgIndex = 0;

    $.ajax({
        url: folderPath,
        success: function (data) {
            $(data).find("a").attr("href", function (i, val) {
                if (val.match(/\.(jpe?g|png)$/)) {
                    imgIndex = imgIndex + 1;
                }
            });

            if (imgIndex < 9) {
                var postData = "type=" + type + "&name=" + filename + "&data=" + base64String;
                if (isDebugMode) {
                    console.log("postData = " + postData);
                }
                $.ajax({
                    url: dbServerInfo.ip + "/api/upload_image",
                    data: postData,
                    cache: false,
                    type: "POST",
                    success: function (data) {
                        var obj = jQuery.parseJSON(data);
                        if (isDebugMode) {
                            console.log("success " + JSON.stringify(data));
                        }
                        // console.log("parser result = " + obj.result);
                        if (obj.result != "OK") {
                            showErrorToast("Upload photo failed !");
                        } else {
                            setTimeout(refreshUploadPhotoModal, 500);
                            showSuccessToast("Upload photo successful");
                        }
                    },
                    error: function (xhr, ajaxOptions, thrownError) {
                        if (isDebugMode) {
                            console.log("error ");
                        }
                        // $(".loading").hide();
                        showErrorToast("Upload photo failed !");
                    }
                });
            } else {
                showWarningToast("Photo is up to 8 !");
            }
        }
    });
}

/**
 * Refresh OSD Photo Management modal
 */
function refreshUploadPhotoModal() {
    if (isDebugMode) {
        console.log("refreshUploadPhotoModal");
    }
    var folderPath = "../snapshot/osd/";
    var imgIndex = 1;

    for (var index = 1; index <= 9; index++) {
        $("#img-" + index).attr('src', "../snapshot/osd/system/empty.png");
        $("#delete-img" + index).hide();
        $("#delete-img" + index).attr("data-empty", true);
        $("#delete-img" + index).attr("data-name", "");
        $("#img-area-" + index).attr("title", "");
    }

    $.ajax({
        url: folderPath,
        cache: false,
        success: function (data) {
            if (isDebugMode) {
                console.log("search image = " + data);
                console.log("search success");
            }
            $(data).find("a").attr("href", function (i, val) {
                if (val.match(/\.(jpe?g|png)$/)) {
                    if (isDebugMode) {
                        console.log("imgIndex = " + imgIndex);
                        console.log("image = " + val);
                    }
                    $("#img-" + imgIndex).attr('src', folderPath + val);
                    $("#img-area-" + imgIndex).attr("title", val);
                    $("#delete-img" + imgIndex).attr("data-empty", false);
                    $("#delete-img" + imgIndex).attr("data-name", val);
                    $("#delete-img" + imgIndex).show();
                    imgIndex = imgIndex + 1;
                }
            });
        },
        complete: function () {
            if (isDebugMode) {
                console.log("complete ");
            }
        },
        error: function (xhr, ajaxOptions, thrownError) {
            if (isDebugMode) {
                console.log("error ");
            }
            // $(".loading").hide();
            showErrorToast("Upload photo failed !");
        }
    });
}

/**
 * Check upload photo type (jpg or png)
 * @param fileName : upload file name
 * @returns {number} : 1 is jpg, 2 is png, -1 is another
 */
function checkPhotoType(fileName) {
    var fileTypes = ['jpg', 'png'];  //acceptable file types
    var extension = fileName.split('.').pop().toLowerCase();  //file extension from input file
    var isSuccess = fileTypes.indexOf(extension) > -1;  //is extension in acceptable types
    if (isSuccess) {
        switch (extension) {
            case 'jpg':
                return 1;
            case 'png':
                return 2;
            default:
                return -1;
        }
    } else {
        showWarningToast("Only accept \"jpg\" and \"png\" file !");
    }
}

/**
 * Allow drop file area change color
 * @param event
 */
function allowDrop(event) {
    var data = event.currentTarget.id;
    document.getElementById(data).classList.remove("dropzone-wrapper-drag-out");
    document.getElementById(data).classList.add("dropzone-wrapper-drag-in");
    event.preventDefault();
}

/**
 * Drag file leave area change color
 * @param event
 */
function leaveDropZone(event) {
    var data = event.currentTarget.id;
    document.getElementById(data).classList.add("dropzone-wrapper-drag-out");
    document.getElementById(data).classList.remove("dropzone-wrapper-drag-in");
    event.preventDefault();
}

// /**
//  * Bubble button click
//  */
// function bubbleClickListener() {
//     $("body").on("click", ".shiny", function () {
//
//         var imgObject = $(this);
//         var device_ip = $(this).attr("data-ip");
//         if (isDebugMode) {
//             console.log("device ip = " + device_ip);
//         }
//         $(this).attr("src", "../img/red_bubble.png");
//
//         var post_data = "ip=" + device_ip + "&value=echo 2 > /sys/devices/platform/ast1500_led.2/leds:button_link/N_Led";
//
//         $.ajax({
//             url: dbServerInfo.ip + "/api/ast_sendcmd",
//             data: post_data,
//             type: "POST",
//             success: function (data) {
//                 var obj = jQuery.parseJSON(data);
//                 if (isDebugMode) {
//                     console.log("success " + JSON.stringify(data));
//                 }
//                 imgObject.attr("src", "../img/lightbulb.png");
//             },
//             error: function (xhr, ajaxOptions, thrownError) {
//                 if (isDebugMode) {
//                     console.log("error ");
//                 }
//                 imgObject.attr("src", "../img/lightbulb.png");
//                 showErrorToast("Blink LED failed !");
//             }
//         });
//     });
// }

/**
 * Bubble button click
 */
function bubbleClickListener() {
    $("body").on("click", ".shiny", function () {

        var imgObject = $(this);
        var device_ip = $(this).attr("data-ip");
        if (isDebugMode) {
            console.log("device ip = " + device_ip);
        }
        $(this).attr("src", "../img/red_bubble.png");

        var post_data = "ip=" + device_ip + "&value=cat /sys/devices/platform/leds/leds/button_link/N_Led";

        $.ajax({
            url: dbServerInfo.ip + "/api/ast_sendcmd",
            data: post_data,
            type: "POST",
            success: function (data) {
                var obj = jQuery.parseJSON(data);
                if (isDebugMode) {
                    console.log("success " + JSON.stringify(data));
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                if (isDebugMode) {
                    console.log("error ");
                }
                showErrorToast("Blink LED failed !");
            }
        });


    });
}