var URL_TOKEN = "token";
var User_Account = "";
var User_Token = "";


$(document).ready(function () {
    if (isDebugMode) {
        console.log("token = " + getUrlParameter(URL_TOKEN));
    }
    User_Token = getUrlParameter(URL_TOKEN);
    resetBtClickEvent();
    setTimeout(function() {
        // $(".footer").children(0).css({
        //     marginLeft:'3%',
        // });

        $("#span_web_version").hide();
    }, 300);

    btBackToLogin();
});

/**
 * Reset button click event
 */
function resetBtClickEvent() {
    $("#bt-reset").click(function (e) {

        if (isDebugMode) {
            console.log("account = " + $("#input-account").val());
            console.log("password = " + $("#input-password").val());
        }

        if ($("#input-password").val().length > 0) {
            if (isDebugMode) {
                console.log("account not empty");
            }
        } else {
            if (isDebugMode) {
                console.log("account empty");
            }
            showWarningToast("Please enter New Password !");
            return;
        }

        if ($("#input-confirm-password").val().length > 0) {
            if (isDebugMode) {
                console.log("confirm password not empty");
            }
        } else {
            if (isDebugMode) {
                console.log("confirm password empty");
            }
            showWarningToast("Please enter Confirm New Password !");
            return;
        }

        if ($("#input-password").val().toString() === $("#input-confirm-password").val().toString()) {

        } else {
            showErrorToast("Password not the same !");
            return;
        }

        var data = "password=" + $("#input-password").val() + "&token=" + User_Token;

        $.ajax({
            url: dbServerInfo.ip + "/api/reset_password",
            data: data,
            type: "POST",
            success: function (data) {
                var obj = jQuery.parseJSON(data);
                if (isDebugMode) {
                    console.log("success " + JSON.stringify(data));
                }
                if (obj.result.toUpperCase() != "OK") {
                    showErrorToast(obj.message);
                } else {
                    showSuccessToast("Reset Password successful !");
                    setTimeout(function () {
                        window.location.href = "./log_in.html";
                    }, 2000);
                }
            },
            error: function (xhr, ajaxOptions, thrownError) {
                if (isDebugMode) {
                    console.log("error ");
                }
                showErrorToast("Server error  !");
            }
        });
    });
}

/**
 * Back to login page
 */
function btBackToLogin(){
    $("#bt-back-login").click(function (e) {
        window.location.href = "./log_in.html";
    });
}