var timerStart = true;
var timeData = "";
var pi4TimeZone;

/**
 * Update time data to  main thread UI
 */
function updateTimer() {
    if (timeData.length > 0) {
        var systemDate = new Date((1000 * parseInt(timeData)) + (parseFloat(pi4TimeZone - getBrowserTimezone()) * 3600000));
        var month = systemDate.getMonth() + 1;
        var day = systemDate.getDate();
        var output = systemDate.getFullYear() + '-' +
            (month < 10 ? '0' : '') + month + '-' +
            (day < 10 ? '0' : '') + day + " " +
            (systemDate.getHours() < 10 ? '0' : '') + systemDate.getHours()
            + ":" + (systemDate.getMinutes() < 10 ? '0' : '') + systemDate.getMinutes()
            + ":" + (systemDate.getSeconds() < 10 ? '0' : '') + systemDate.getSeconds();
        postMessage(output);
        timeData = parseInt(timeData) + 1;
        timeData = "" + timeData;
    }
}

/**
 * Get browser time zone
 * @returns browser time zone
 */
function getBrowserTimezone() {
    var offset = new Date().getTimezoneOffset();
    o = Math.abs(offset);
    //return (offset < 0 ? "+" : "-") + ("00" + Math.floor(o / 60)).slice(-2) + ":" + ("00" + (o % 60)).slice(-2);
    return (offset < 0 ? "+" : "-") + (Math.floor(o / 60)) + "." + ((o % 60));
}

// update timeData
self.onmessage = function (event) {
    timeData = event.data.time;
    pi4TimeZone = event.data.timezone;
};

if (timerStart) {
    setInterval(function () {
        updateTimer()
    }, 1000);
    timerStart = false;
}